summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-04 06:42:36 +0000
committerSam James <sam@gentoo.org>2021-04-04 07:21:40 +0000
commit2e66cca68f186d9d39e753ba7363fb241d0a6af9 (patch)
treefbedd16bb3a3fd0ca77ce147d309e46894a02436
parentdev-ruby/mechanize: add 2.8.0 (diff)
downloadgentoo-2e66cca68f186d9d39e753ba7363fb241d0a6af9.tar.gz
gentoo-2e66cca68f186d9d39e753ba7363fb241d0a6af9.tar.bz2
gentoo-2e66cca68f186d9d39e753ba7363fb241d0a6af9.zip
games-fps/industri: port to EAPI 7, games.eclass--
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--games-fps/industri/files/industri-1.01-exec-stack.patch16
-rw-r--r--games-fps/industri/files/industri-1.01-glext.patch4
-rw-r--r--games-fps/industri/files/industri-1.01-ldflags.patch4
-rw-r--r--games-fps/industri/industri-1.01.ebuild50
4 files changed, 43 insertions, 31 deletions
diff --git a/games-fps/industri/files/industri-1.01-exec-stack.patch b/games-fps/industri/files/industri-1.01-exec-stack.patch
index bc74e951fe6..abc8bd4a2b8 100644
--- a/games-fps/industri/files/industri-1.01-exec-stack.patch
+++ b/games-fps/industri/files/industri-1.01-exec-stack.patch
@@ -1,5 +1,5 @@
---- math.s
-+++ math.s
+--- a/math.s
++++ b/math.s
@@ -416,3 +416,6 @@
call C(BOPS_Error)
@@ -7,8 +7,8 @@
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif
---- snd_mixa.s
-+++ snd_mixa.s
+--- a/snd_mixa.s
++++ b/snd_mixa.s
@@ -216,3 +216,6 @@
#endif // id386
@@ -16,8 +16,8 @@
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif
---- sys_dosa.s
-+++ sys_dosa.s
+--- a/sys_dosa.s
++++ b/sys_dosa.s
@@ -93,3 +93,6 @@
ret
@@ -25,8 +25,8 @@
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif
---- worlda.s
-+++ worlda.s
+--- a/worlda.s
++++ b/worlda.s
@@ -142,3 +142,6 @@
#endif // id386
diff --git a/games-fps/industri/files/industri-1.01-glext.patch b/games-fps/industri/files/industri-1.01-glext.patch
index 8a5042e431f..9c23bebd965 100644
--- a/games-fps/industri/files/industri-1.01-glext.patch
+++ b/games-fps/industri/files/industri-1.01-glext.patch
@@ -1,5 +1,5 @@
---- glquake.h.old 2011-04-29 12:36:53.000000000 +0200
-+++ glquake.h 2011-04-29 12:44:39.000000000 +0200
+--- a/glquake.h
++++ b/glquake.h
@@ -977,6 +977,7 @@
#define GL_MAP2_VERTEX_ATTRIB15_4_NV 0x867F
diff --git a/games-fps/industri/files/industri-1.01-ldflags.patch b/games-fps/industri/files/industri-1.01-ldflags.patch
index 987d464f6b4..2ce762d8298 100644
--- a/games-fps/industri/files/industri-1.01-ldflags.patch
+++ b/games-fps/industri/files/industri-1.01-ldflags.patch
@@ -1,5 +1,5 @@
---- linux/Makefile.old 2010-10-13 11:37:27.000000000 +0200
-+++ linux/Makefile 2010-10-13 11:38:20.000000000 +0200
+--- a/linux/Makefile
++++ b/linux/Makefile
@@ -42,7 +42,7 @@
RELEASE_CFLAGS = $(BASE_CFLAGS) -O2 -march=pentium4 -pipe -msse -mfpmath=sse \
-fomit-frame-pointer -fexpensive-optimizations
diff --git a/games-fps/industri/industri-1.01.ebuild b/games-fps/industri/industri-1.01.ebuild
index 70c8dba417f..11e294ca141 100644
--- a/games-fps/industri/industri-1.01.ebuild
+++ b/games-fps/industri/industri-1.01.ebuild
@@ -1,13 +1,15 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils toolchain-funcs games
+EAPI=7
+
+inherit toolchain-funcs
DESCRIPTION="Quake/Tenebrae based, single player game"
HOMEPAGE="http://industri.sourceforge.net/"
SRC_URI="mirror://sourceforge/industri/industri_BIN-${PV}-src.tar.gz
mirror://sourceforge/industri/industri-1.00.zip"
+S="${WORKDIR}"/industri_BIN
LICENSE="GPL-2"
SLOT="0"
@@ -21,15 +23,24 @@ RDEPEND="virtual/opengl
x11-libs/libXxf86vm
media-libs/libpng:0
cdinstall? ( games-fps/quake1-data )"
-DEPEND="${RDEPEND}
+DEPEND="
+ ${RDEPEND}
x11-base/xorg-proto
- app-arch/unzip"
+"
+BDEPEND="app-arch/unzip"
-S=${WORKDIR}/industri_BIN
+PATCHES=(
+ "${FILESDIR}"/${P}-exec-stack.patch
+ "${FILESDIR}"/${P}-ldflags.patch
+ "${FILESDIR}"/${P}-glext.patch
+)
src_prepare() {
- mv linux/Makefile{.i386linux,}
- sed -i -e "s:-mpentiumpro.*:${CFLAGS} \\\\:" linux/Makefile || die
+ mv linux/Makefile{.i386linux,} || die
+ sed -i \
+ -e "s:-mpentiumpro.*:${CFLAGS} \\\\:" \
+ -e "s:CC.*= /usr/bin/gcc:CC?=/usr/bin/gcc:" \
+ linux/Makefile || die
# Remove duplicated typedefs #71841
for typ in PFNGLFLUSHVERTEXARRAYRANGEAPPLEPROC PFNGLVERTEXARRAYRANGEAPPLEPROC ; do
@@ -44,34 +55,35 @@ src_prepare() {
-e 's:png_set_gray_1_2_4_to_8:png_set_expand_gray_1_2_4_to_8:g' \
gl_warp.c || die
- epatch "${FILESDIR}"/${P}-exec-stack.patch \
- "${FILESDIR}"/${P}-ldflags.patch \
- "${FILESDIR}"/${P}-glext.patch
+ default
}
src_compile() {
+ tc-export CC
+
emake \
-C linux \
- MASTER_DIR="${GAMES_DATADIR}"/quake1 \
+ MASTER_DIR=/usr/share/quake1 \
build_release
}
src_install() {
- newgamesbin linux/release*/bin/industri.run industri
- dogamesbin "${FILESDIR}"/industri.pretty
+ newbin linux/release*/bin/industri.run industri
+ dobin "${FILESDIR}"/industri.pretty
+
insinto /usr/share/icons
doins industri.ico quake.ico
dodoc linux/README
- cd "${WORKDIR}"/${PN}
+
+ cd "${WORKDIR}"/${PN} || die
dodoc *.txt
- insinto "${GAMES_DATADIR}"/quake1/${PN}
+
+ insinto /usr/share/quake1/${PN}
doins *.pak *.cfg
- prepgamesdirs
}
pkg_postinst() {
- games_pkg_postinst
if ! use cdinstall ; then
- elog "You need to copy pak0.pak to ${GAMES_DATADIR}/quake1 to play."
+ elog "You need to copy pak0.pak to /usr/share/quake1 to play."
fi
}